## ovi-maps-cnfix 0.0.1

=== Makefile ===

npapi_lib_flag =

OS=$(shell uname|awk -F_ '{print $$1}'|tr 'A-Z' 'a-z')

ifeq ($(OS),cygwin)
CC="C:/MinGW/bin/gcc.exe"
plugin_lib = libplugin_exec.dll
ops =
else
glib_lib_flag = $(shell pkg-config --libs --cflags glib-2.0 mozilla-nspr)
plugin_lib = libplugin_maps.so
ops = -Wl,-soname,$(plugin_lib) -lm
endif

all: $(plugin_lib)

$(plugin_lib):plugin_exec.c
	gcc -o $(plugin_lib) -Wall -shared $(ops)  $(npapi_lib_flag) $(glib_lib_flag) $^

install:$(plugin_lib)
	install -D $(plugin_lib) ${DESTDIR}/usr/lib/browser/plugins/$(plugin_lib)

uninstall:
	rm -f ${DESTDIR}/usr/lib/browser/plugins/$(plugin_lib)


clean:
	rm -rf $(plugin_lib)

=== debian/changelog ===
ovi-maps-cnfix (0.0.1) fremantle; urgency=low

  * Initial release

 -- Eveing <eveing@139.com>  Sun, 21 Apr 2013 21:39:34 +0800

=== debian/control ===
Source: ovi-maps-cnfix
Section: user/navigation
Priority: optional
Maintainer: Eveing <eveing@139.com>
Build-Depends: debhelper, libglib2.0-dev, libx11-dev, microb-engine-dev
Standards-Version: 0.0.1
XSBC-Bugtracker: mailto:eveing@139.com

Package: ovi-maps-cnfix
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, alsa-utils
Recommends: n900-locales-extras-zhcn
Description: Extra features for Ovi Maps
 Map coordiantes corrective for China maps and voice expansion.

## ovi-maps-cnfix 0.0.2

=== debian/changelog ===
ovi-maps-cnfix (0.0.2) fremantle; urgency=low

  * Support chinese fonts.

 -- Eveing <eveing@139.com>  Mon, 23 Apr 2013 06:06:51 +0800

## ovi-maps-cnfix 0.0.3

=== debian/changelog ===
ovi-maps-cnfix (0.0.3) fremantle; urgency=low

  * Install locale.js to opt.

 -- Eveing <eveing@139.com>  Fri, 15 Nov 2013 11:47:19 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/`dh_listpackages` install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
#	dh_installexamples
#	dh_installdocs
#	dh_install --sourcedir=debian/build -v
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ovi-maps-cnfix 0.0.3-1

=== debian/changelog ===
ovi-maps-cnfix (0.0.3-1) fremantle; urgency=low

  * Install locale.js to opt.

 -- Eveing <eveing@139.com>  Fri, 15 Nov 2013 11:47:19 +0800

=== debian/control ===
Source: ovi-maps-cnfix
Section: user/navigation
Priority: optional
Maintainer: Eveing <eveing@139.com>
Build-Depends: debhelper, libglib2.0-dev, libx11-dev, microb-engine-dev
Standards-Version: 0.0.2
XSBC-Bugtracker: mailto:eveing@139.com

Package: ovi-maps-cnfix
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, alsa-utils
Recommends: n900-locales-extras-zhcn
Description: Ovi Maps support voice and more...
 Map coordiantes corrective for China maps and voice expansion.
